| QxOrm 1.3.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
qx::model_view::detail::QxNestedModel< T > Struct Template Reference

`#include <QxNestedModel.h>`

List of all members.

## Public Types
typedef boost::mpl::if_c < boost::is_pointer< T > ::value, qx::model_view::detail::QxNestedModel_Ptr < T > , qx::model_view::detail::QxNestedModel_Generic < T > >::type | type_model_view_1
typedef boost::mpl::if_c < qx::trait::is_smart_ptr< T > ::value, qx::model_view::detail::QxNestedModel_Ptr < T >, type_model_view_1 > ::type | type_model_view_2
typedef boost::mpl::if_c < qx::trait::is_container< T > ::value, qx::model_view::detail::QxNestedModel_Container < T >, type_model_view_2 > ::type | type_model_view_3
## Static Public Member Functions
static qx::IxModel * | create (qx::IxModel *pParent, const QModelIndex &idxParent, T &t)
static void | synchronize (qx::IxModel *pModel, T &t)

## Detailed Description

### template<class T>
struct qx::model_view::detail::QxNestedModel< T >

Definition at line 315 of file QxNestedModel.h.

## Member Typedef Documentation

template<class T >

typedef boost::mpl::if_c< boost::is_pointer<T>::value, qx::model_view::detail::QxNestedModel_Ptr<T>, qx::model_view::detail::QxNestedModel_Generic<T> >::type qx::model_view::detail::QxNestedModel< T >::type_model_view_1

Definition at line 318 of file QxNestedModel.h.

template<class T >

typedef boost::mpl::if_c< qx::trait::is_smart_ptr<T>::value, qx::model_view::detail::QxNestedModel_Ptr<T>, type_model_view_1 >::type qx::model_view::detail::QxNestedModel< T >::type_model_view_2

Definition at line 319 of file QxNestedModel.h.

template<class T >

typedef boost::mpl::if_c< qx::trait::is_container<T>::value, qx::model_view::detail::QxNestedModel_Container<T>, type_model_view_2 >::type qx::model_view::detail::QxNestedModel< T >::type_model_view_3

Definition at line 320 of file QxNestedModel.h.

## Member Function Documentation

template<class T >

static qx::IxModel* qx::model_view::detail::QxNestedModel< T >::create | ( | qx::IxModel * | pParent,
|  | const QModelIndex & | idxParent,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 322 of file QxNestedModel.h.

template<class T >

static void qx::model_view::detail::QxNestedModel< T >::synchronize | ( | qx::IxModel * | pModel,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 325 of file QxNestedModel.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxModelView/QxNestedModel.h